#!/usr/bin/env nu

let old_head = "<html><style>body { background-color:white;color:black; }</style><body>"
let new_head = (
  ["<html><head><title>Torrent Stats</title><link type="text/css" rel="stylesheet" href="https://files.hyperreal.coffee/css/style1.css"/></head><body><h4>Last updated:", (date now | format date "%F %T%:z"), "</h4>"]
  | str join ' '
)

(
  /home/jas/.local/bin/uv run -q /home/jas/admin-scripts/list_torrents.py
  | from ssv -m 2
  | to html
  | str replace ($old_head) ($new_head)
  | save -f -r /home/jas/public/html/torrents.html
)
